Name: lm_sensors
Version: 2.6.5
Release: 6
URL: http://secure.netroedge.com/~lm78/
Source: http://secure.netroedge.com/~lm78/archive/lm_sensors-%{version}.tar.gz
Patch1: lm_sensors-2.5.2-redhat.patch
Patch2: lm_sensors-2.5.5-glibc22.patch
Patch3: lm_sensors-2.6.5-utf8.patch
Patch4: lm_sensors-2.6.5-fixinstall.patch
Summary: Hardware monitoring tools.
Group: Applications/System
License: GPL
Buildroot: %{_tmppath}/%{name}-root
Requires: kernel-utils
BuildPrereq: kernel-headers >= 2.2.16
ExclusiveArch: alpha %{ix86}

%description
The lm_sensors package includes a collection of modules for general SMBus
access and hardware monitoring.  NOTE: this requires special support which
is not in standard 2.2-vintage kernels.

%package devel
Summary: Development files for programs which will use lm_sensors.
Group: Development/System
Requires: lm_sensors = %{version}

%description devel
The lm_sensors-devel package includes a header files and libraries for use
when building applications that make use of sensor data.

%prep
%setup -q 
%patch1 -p1 -b .redhat
%patch2 -p1 -b .glibc22
%patch3 -p1 -b .utf8
%patch4 -p1 -b .fixinstall

%build
mkdir -p kernel/include/linux/
ln -s /usr/src/linux-2.4/include/linux/i2c* kernel/include/linux/
#make LINUX_HEADERS=/usr/include LINUX=/usr/src/linux-2.4
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
%{makeinstall}
chmod 755 $RPM_BUILD_ROOT%{_libdir}/*.so*

# remove dmidecode from the buildroot
rm -f $RPM_BUILD_ROOT%{_sbindir}/dmidecode
mv prog/init/README prog/init/README.initscripts

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc BACKGROUND BUGS CHANGES CONTRIBUTORS COPYING doc INSTALL QUICKSTART README* TODO prog/init/*
%config %{_sysconfdir}/sensors.conf
%{_bindir}/sensors
%{_libdir}/*.so.*
%{_mandir}/man*/*
%{_sbindir}/*

%files devel
%defattr(-,root,root)
%{_includedir}/sensors
%{_libdir}/lib*.a
%{_libdir}/lib*.so

%changelog
* Fri Jun 27 2003 Phil Knirsch <pknirsch@redhat.com> 2.6.5-6
- Included prog/init scripts and README (#90606).
- Require kernel-utils for dmidecode (#88367, #65057).

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 2.6.5-5
- rebuilt

* Wed Dec 04 2002 Phil Knirsch <pknirsch@redhat.com> 2.6.5-4
- Bump release and try to rebuild.

* Tue Dec  3 2002 Tim Powers <timp@redhat.com> 2.6.5-3
- don't include dmidecode, conflicts with kernel-utils

* Fri Nov 29 2002 Phil Knirsch <pknirsch@redhat.com> 2.6.5-2
- Added patch to fix utf8 problem with sensors-detect.
- Fixed Copyright: to License: in specfile

* Fri Nov 29 2002 Phil Knirsch <pknirsch@redhat.com> 2.6.5-1
- Updated userlevel to 2.6.5.
- Include all the /usr/sbin/ apps (like dmidecode).

* Fri Oct 04 2002 Phil Knirsch <pknirsch@redhat.com> 2.6.3-3
- Removed Serverworks patch as it is already in sensors-detect.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 2.6.3-2
- automated rebuild

* Tue Jun 18 2002 Phil Knirsch <pknirsch@redhat.com> 2.6.3-1
- Updated of userland package to 2.6.3
- Fixed file packaging bug (#66126).

* Thu May 23 2002 Tim Powers <timp@redhat.com> 2.6.2-2
- automated rebuild

* Mon Jan 28 2002 Phil Knirsch <pknirsch@redhat.com> 2.6.2-1
- Update to version 2.6.2

* Wed Aug 22 2001 Philipp Knirsch <pknirsch@redhat.de> 2.5.5-6
- Added the SMBus CSB5 detection (#50468)

* Mon Jul  9 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed duplicate Summary: entry for devel package (#47714)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Feb 15 2001 Philipp Knirsch <pknirsch@redhat.de>
- Removed the i2c block patch as our newest kernel doesn't need it anymore.

* Mon Feb  5 2001 Matt Wilson <msw@redhat.com>
- added patch to not include sys/perm.h, as it's gone now.
- added alpha to ExclusiveArch
- use make "LINUX_HEADERS=/usr/include" to get kernel headers

* Tue Jan 16 2001 Philipp Knirsch <pknirsch@redhat.de>
- Updated to 2.5.5 which includes the Serverworks drivers. Kernel modules are
  not included though es they have to go into the kernel package
- Had to remove all references to I2C_SMBUS_I2C_BLOCK_DATA from
  kernel/busses/i2c-i801.c and prog/dump/i2cdump.c as this is not defined in
  our current kernel package

* Tue Dec 19 2000 Philipp Knirsch <pknirsch@redhat.de>
- update to 2.5.4
- updated URL and Source entries to point to new home of lm-sensors
- rebuild

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix summary

* Fri Jul 28 2000 Harald Hoyer <harald@redhat.de>
- added static library to devel package

* Thu Jul 20 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.5.2
- build against a kernel that actually has new i2c code in it

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- initial package without kernel support
